Command
Keywords: net.corda.core.contracts.Command class
Date: 2023-09-18

net.corda.core.contracts

## Class Command<T extends CommandData>

- net.corda.core.contracts.Command<T>

-     public class Command<T extends CommandData>

  Command data/content plus pubkey pair: the signature is stored at the end of the serialized bytes

- - ### Constructor Detail

    - #### Command

          public Command(@NotNull
                         T value,
                         @NotNull
                         java.util.List<? extends java.security.PublicKey> signers)

      Command data/content plus pubkey pair: the signature is stored at the end of the serialized bytes

    - #### Command

          public Command(@NotNull
                         T data,
                         @NotNull
                         java.security.PublicKey key)

  - ### Method Detail

    - #### toString

          @NotNull
          public java.lang.String toString()

    - #### getValue

          @NotNull
          public T getValue()

    - #### getSigners

          @NotNull
          public java.util.List<java.security.PublicKey> getSigners()

    - #### component1

          @NotNull
          public T component1()

    - #### component2

          @NotNull
          public java.util.List<java.security.PublicKey> component2()

    - #### copy

          @NotNull
          public Command<T> copy(@NotNull
                                          T value,
                                          @NotNull
                                          java.util.List<? extends java.security.PublicKey> signers)

      Command data/content plus pubkey pair: the signature is stored at the end of the serialized bytes

    - #### hashCode

          public int hashCode()

      Command data/content plus pubkey pair: the signature is stored at the end of the serialized bytes

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      Command data/content plus pubkey pair: the signature is stored at the end of the serialized bytes